Package org.apache.any23.extractor.html

## Class RDFMergerTest

- java.lang.Object
- - org.apache.any23.AbstractAny23TestBase
  - - org.apache.any23.extractor.html.AbstractExtractorTestCase
    - - org.apache.any23.extractor.html.RDFMergerTest

-     public class RDFMergerTest
      extends AbstractExtractorTestCase

  Reference Test class for various mixed extractors.
  Author:
    Davide Palmisano (dpalmisano@gmail.com)
  See Also:
    `GeoExtractor`, `AdrExtractor`, `HCardExtractor`, `HReviewExtractor`

- - ### Field Summary

    - ### Fields inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase

      `baseIRI, conn`

    - ### Fields inherited from class org.apache.any23.AbstractAny23TestBase

      `tempDirectory, testFolder`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RDFMergerTest()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `extract​(String filename)` | Applies the extractor provided by the `AbstractExtractorTestCase.getExtractorFactory()` to the specified resource.
    `protected ExtractorFactory<?>` | `getExtractorFactory()` |
    `void` | `test01Basic()` |
    `void` | `test01XFNFoaf()` |
    `void` | `test02RatedTags()` |
    `void` | `test03NoHcardForItem()` |
    `void` | `testAbbrTitleEverything()` |
    `void` | `testAdr()` |
    `void` | `testAncestors()` |
    `void` | `testGeoAbbr()` |
    `void` | `testNoMicroformats()` |
    `void` | `testSingleton()` |

    - ### Methods inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase

      `assertContains, assertContains, assertContains, assertContains, assertContains, assertContains, assertContainsModel, assertContainsModel, assertExtract, assertExtract, assertIssue, assertModelEmpty, assertModelNotEmpty, assertNoIssues, assertNotContains, assertNotContains, assertNotContains, assertNotContains, assertNotFound, assertStatementsSize, assertStatementsSize, assertStatementsSize, dumpAsListOfStatements, dumpHumanReadableTriples, dumpModelToNQuads, dumpModelToRDFXML, dumpModelToTurtle, findExactlyOneBlankSubject, findExactlyOneObject, findObject, findObjectAsLiteral, findObjectAsResource, findObjects, findSubjects, getConnection, getIssues, getIssues, getReport, getStatements, getStatementsSize, setUp, tearDown`

    - ### Methods inherited from class org.apache.any23.AbstractAny23TestBase

      `copyResourceToTempFile, getDocumentSourceFromResource, getDocumentSourceFromResource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RDFMergerTest

          public RDFMergerTest()

  - ### Method Detail

    - #### getExtractorFactory

          protected ExtractorFactory<?> getExtractorFactory()

      Specified by:
        `getExtractorFactory` in class `AbstractExtractorTestCase`
      Returns:
        the factory of the extractor to be tested.

    - #### testNoMicroformats

          public void testNoMicroformats()
                                  throws Exception,
                                         ExtractionException,
                                         IOException

      Throws:
        `Exception`
        `ExtractionException`
        `IOException`

    - #### test01XFNFoaf

          public void test01XFNFoaf()
                             throws Exception

      Throws:
        `Exception`

    - #### testAbbrTitleEverything

          public void testAbbrTitleEverything()
                                       throws ExtractionException,
                                              IOException,
                                              org.eclipse.rdf4j.repository.RepositoryException

      Throws:
        `ExtractionException`
        `IOException`
        `org.eclipse.rdf4j.repository.RepositoryException`

    - #### testAdr

          public void testAdr()
                       throws Exception

      Throws:
        `Exception`

    - #### testGeoAbbr

          public void testGeoAbbr()
                           throws ExtractionException,
                                  IOException,
                                  org.eclipse.rdf4j.repository.RepositoryException

      Throws:
        `ExtractionException`
        `IOException`
        `org.eclipse.rdf4j.repository.RepositoryException`

    - #### testAncestors

          public void testAncestors()
                             throws ExtractionException,
                                    IOException,
                                    org.eclipse.rdf4j.repository.RepositoryException

      Throws:
        `ExtractionException`
        `IOException`
        `org.eclipse.rdf4j.repository.RepositoryException`

    - #### testSingleton

          public void testSingleton()
                             throws Exception

      Throws:
        `Exception`

    - #### test01Basic

          public void test01Basic()
                           throws Exception

      Throws:
        `Exception`

    - #### test02RatedTags

          public void test02RatedTags()
                               throws Exception

      Throws:
        `Exception`

    - #### test03NoHcardForItem

          public void test03NoHcardForItem()
                                    throws Exception

      Throws:
        `Exception`

    - #### extract

          protected void extract​(String filename)
                          throws ExtractionException,
                                 IOException

      Description copied from class: `AbstractExtractorTestCase`
      Applies the extractor provided by the `AbstractExtractorTestCase.getExtractorFactory()` to the specified resource.
      Overrides:
        `extract` in class `AbstractExtractorTestCase`
      Parameters:
        `filename` - resource name.
      Throws:
        `ExtractionException` - if there is an exception during extraction
        `IOException` - if there is an error processing the input data